Package org.apache.felix.framework.resolver

# Class ShadowList<T>

java.lang.Object
org.apache.felix.framework.resolver.ShadowList<T>

All Implemented Interfaces:
  `Iterable<T>`, `Collection<T>`, `List<T>`, `SequencedCollection<T>`

public class ShadowList<T> extends Object implements List<T>

## Constructor Summary

Constructors
Constructor
Description
`ShadowList(List<T> original)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(int i, T e)`
`boolean`
`add(T e)`
`boolean`
`addAll(int i, Collection<? extends T> clctn)`
`boolean`
`addAll(Collection<? extends T> clctn)`
`void`
`clear()`
`boolean`
`contains(Object o)`
`boolean`
`containsAll(Collection<?> clctn)`
`T`
`get(int i)`
`List<T>`
`getOriginal()`
`int`
`indexOf(Object o)`
`boolean`
`isEmpty()`
`Iterator<T>`
`iterator()`
`int`
`lastIndexOf(Object o)`
`ListIterator<T>`
`listIterator()`
`ListIterator<T>`
`listIterator(int i)`
`T`
`remove(int i)`
`boolean`
`remove(Object o)`
`boolean`
`removeAll(Collection<?> clctn)`
`boolean`
`retainAll(Collection<?> clctn)`
`T`
`set(int i, T e)`
`int`
`size()`
`List<T>`
`subList(int i, int i1)`
`Object[]`
`toArray()`
`<T> T[]`
`toArray(T[] ts)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`addFirst, addLast, equals, getFirst, getLast, hashCode, removeFirst, removeLast, replaceAll, reversed, sort, spliterator`

## Constructor Details

### ShadowList

public ShadowList(List<T> original)

## Method Details

### getOriginal

public List<T> getOriginal()

### size

public int size()

Specified by:
  `size` in interface `Collection<T>`
Specified by:
  `size` in interface `List<T>`

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Collection<T>`
Specified by:
  `isEmpty` in interface `List<T>`

### contains

public boolean contains(Object o)

Specified by:
  `contains` in interface `Collection<T>`
Specified by:
  `contains` in interface `List<T>`

### iterator

public Iterator<T> iterator()

Specified by:
  `iterator` in interface `Collection<T>`
Specified by:
  `iterator` in interface `Iterable<T>`
Specified by:
  `iterator` in interface `List<T>`

### toArray

public Object[] toArray()

Specified by:
  `toArray` in interface `Collection<T>`
Specified by:
  `toArray` in interface `List<T>`

### toArray

public <T> T[] toArray(T[] ts)

Specified by:
  `toArray` in interface `Collection<T>`
Specified by:
  `toArray` in interface `List<T>`

### add

public boolean add(T e)

Specified by:
  `add` in interface `Collection<T>`
Specified by:
  `add` in interface `List<T>`

### remove

public boolean remove(Object o)

Specified by:
  `remove` in interface `Collection<T>`
Specified by:
  `remove` in interface `List<T>`

### containsAll

public boolean containsAll(Collection<?> clctn)

Specified by:
  `containsAll` in interface `Collection<T>`
Specified by:
  `containsAll` in interface `List<T>`

### addAll

public boolean addAll(Collection<? extends T> clctn)

Specified by:
  `addAll` in interface `Collection<T>`
Specified by:
  `addAll` in interface `List<T>`

### addAll

public boolean addAll(int i, Collection<? extends T> clctn)

Specified by:
  `addAll` in interface `List<T>`

### removeAll

public boolean removeAll(Collection<?> clctn)

Specified by:
  `removeAll` in interface `Collection<T>`
Specified by:
  `removeAll` in interface `List<T>`

### retainAll

public boolean retainAll(Collection<?> clctn)

Specified by:
  `retainAll` in interface `Collection<T>`
Specified by:
  `retainAll` in interface `List<T>`

### clear

public void clear()

Specified by:
  `clear` in interface `Collection<T>`
Specified by:
  `clear` in interface `List<T>`

### get

public T get(int i)

Specified by:
  `get` in interface `List<T>`

### set

public T set(int i, T e)

Specified by:
  `set` in interface `List<T>`

### add

public void add(int i, T e)

Specified by:
  `add` in interface `List<T>`

### remove

public T remove(int i)

Specified by:
  `remove` in interface `List<T>`

### indexOf

public int indexOf(Object o)

Specified by:
  `indexOf` in interface `List<T>`

### lastIndexOf

public int lastIndexOf(Object o)

Specified by:
  `lastIndexOf` in interface `List<T>`

### listIterator

public ListIterator<T> listIterator()

Specified by:
  `listIterator` in interface `List<T>`

### listIterator

public ListIterator<T> listIterator(int i)

Specified by:
  `listIterator` in interface `List<T>`

### subList

public List<T> subList(int i, int i1)

Specified by:
  `subList` in interface `List<T>`